API referenceContacts

List contacts

GET/contacts

Newest first. search matches an exact address, or part of an address or name; list_id (or audience_id) narrows to a list’s members.

Authorization

apiKey
AuthorizationBearer <token>

A project API key: Authorization: Bearer s0_…

In: header

Query Parameters

limit?integer
Range1 <= value <= 100
after?string
Length1 <= length <= 64
before?string
Length1 <= length <= 64
search?string
Length1 <= length <= 254
list_id?string

Stamp0 lst_ identifier

Match^lst_[0-9A-Za-z]{16}$
unsubscribed?string

Value in

  • "true"
  • "false"
audience_id?string

Stamp0 lst_ identifier

Match^lst_[0-9A-Za-z]{16}$

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/contacts"
{  "object": "list",  "has_more": true,  "data": [    {      "object": "contact",      "id": "string",      "email": "string",      "first_name": "string",      "last_name": "string",      "unsubscribed": true,      "properties": {        "property1": "string",        "property2": "string"      },      "external_id": "string",      "source": "api",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}